'use strict';

const plugin = require('tailwindcss/plugin');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e.default : e; }

const plugin__default = /*#__PURE__*/_interopDefaultCompat(plugin);

plugin__default(function({ addBase, addComponents, addUtilities, theme }) {
  addBase({
    h1: {
      fontSize: theme("fontSize.2xl")
    },
    h2: {
      fontSize: theme("fontSize.xl")
    }
  });
  addComponents({
    ".card": {
      backgroundColor: theme("colors.white"),
      borderRadius: theme("borderRadius.lg"),
      padding: theme("spacing.6"),
      boxShadow: theme("boxShadow.xl")
    }
  });
  addUtilities({
    ".content-auto": {
      contentVisibility: "auto"
    }
  });
});
